let app = {
    url: "",
    mgr: undefined,
    baseUrl: "",
    init: function(){
        app.getProfiles();
    },
    profiles: [],
    getProfiles: function(){
        let url = "http://griffis.edumedia.ca/mad9022/tundra/get.profiles.php?gender=male";
        
        fetch(url)
          .then(function(response){
              return response.json();
          }).then(function(data){
              app.profiles = app.profiles.concat(data.profiles);
            
              app.getCard(data.profiles);
              app.showCard();
            
          }).catch(function(err){
             console.error(err.message);
          });
        
    },
    getCard: function( profiles ){

        console.log(app.profiles);
        let section = document.querySelector('#home .content');
        
        profiles.forEach(profile =>{
            
            let card = document.createElement('div');
            card.className = "card fixed top";
            card.setAttribute("id", profile.id);
            
            let header = document.createElement('header');
            let h3 = document.createElement('h3');
            h3.textContent = profile.first + " " + profile.last;
            header.appendChild(h3);
            card.appendChild(header);
            
            let p = document.createElement('p');
            p.textContent = profile.distance;
            card.appendChild(p);
            
            section.appendChild(card);
            
        });
    },
    showCard: function(){
         let card = document.querySelectorAll('.card'); 
        setTimeout(()=>{card[0].classList.remove("top")}, 100);
    },
    deleteCard: function(ev){
        
        console.log("left");
        
        //app.showCard();
        //check if profiles list size is lower than 3
        
    },
    saveCard: function(ev){
        
        
        //save session storage
        
        app.showCard();
        //check if profiles list size is lower than 3
    }
}

let deviceready = ('deviceready' in document)?'deviceready' : 'DOMContentLoaded';
document.addEventListener(deviceready, app.init);

//add android platform
