let app = {
    url: "",
    mgr: undefined,
    baseUrl: "",
    init: function(){
        app.getProfiles();
        
        let targets = document.querySelectorAll('.card');
        let mgr = new t$(targets);
//creates a new instance of tinyshell and adds an array of elements

        let target = document.querySelector('div');
        let tiny = new t$(target);
        
        mgr.addEventListener(t$.EventTypes.SWIPELEFT, app.deleteCard);
    },
    profiles: [],
    getProfiles: function(){
        let url = "http://griffis.edumedia.ca/mad9022/tundra/get.profiles.php?gender=male";
        
        fetch(url)
          .then(function(response){
              return response.json();
          }).then(function(data){
              app.profiles = app.profiles.concat(data.profiles);
            
              app.getCard(data.profiles);
            
          }).catch(function(err){
             console.error(err.message);
          });
        
    },
    checkProfile: function(){
        //check if profile.length < 3
        //app.getProfiles()
    },
    getCard: function( profiles ){
        //create cards
        console.log(app.profiles);
        let section = document.querySelector('#home .content');
        
        profiles.forEach(profile =>{
            
            let card = document.createElement('div');
            card.className = "card fixed top";
            card.setAttribute("id", profile.id);
            
            let header = document.createElement('header');
            let h3 = document.createElement('h3');
            h3.textContent = profile.first + " " + profile.last;
            header.appendChild(h3);
            card.appendChild(header);
            
            let p = document.createElement('p');
            p.textContent = profile.distance;
            card.appendChild(p);
            
            section.appendChild(card);
            
        });
        
        app.showCard();
    },
    showCard: function(){
        //display cards
         let card = document.querySelectorAll('.card'); 
        setTimeout(()=>{card[0].classList.remove("top")}, 100);
    },
    deleteCard: function(ev){
        
        console.log("swipe left");
        let card = ev.currentTarget;
        card.classList.add('moveLeft');
        
        //app.showCard();
        //check if profiles list size is lower than 3
        
    },
    saveCard: function(ev){
        
        
        //save session storage
        
        app.showCard();
        //check if profiles list size is lower than 3
    }
}

let deviceready = ('deviceready' in document)?'deviceready' : 'DOMContentLoaded';
document.addEventListener(deviceready, app.init);

//add android platform
